VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages

### - r -

- readRaw() : ZLibInputStream , InputStream , CFileStream , CResourceInputStream , CMemoryStream
- readRawData() : MemoryContentProvider , InputStreamContentProvider , ZLibInputContentProvider , IContentProvider
- recalculateLayout() : CDataBrowser , CListControl
- recalculateSubViews() : CDataBrowser , CScrollView
- recreateView() : VST3Editor
- rectInside() : CRect
- rectOverlap() : CRect
- rectToString() : UIAttributes
- ReferenceCounted() : ReferenceCounted< T >
- registerCommand() : IApplication
- registerControlListener() : CControl
- registerFilter() : Factory
- registerFocusViewObserver() : CFrame
- registerKeyboardHook() : CFrame
- registerListener() : ListenerProvider< T, ListenerInterface > , UIDescription , IValue
- registerListeners() : CLayeredViewContainer
- registerMouseObserver() : CFrame
- registerOptionMenuListener() : COptionMenu
- registerProperty() : FilterBase
- registerScaleFactorChangedListeneer() : CFrame
- registerScaleFactorChangedListener() : CFrame
- registerTextEditListener() : CTextEdit
- registerTextLabelListener() : CTextLabel
- registerViewContainerListener() : CViewContainer
- registerViewCreator() : UIViewFactory
- registerViewEventListener() : CView
- registerViewListener() : CView
- registerViewMouseListener() : CView
- registerWindowListener() : IWindow
- remember() : IReference , ReferenceCounted< T >
- remove() : CExternalViewBaseImpl , DispatchList< T > , Modifiers , IView , ViewAdapter , ViewCreatorRegistry
- removeAll() : CFrame , CScrollView , CSplitView , CViewContainer , UIAttributes
- removeAllAnimations() : CView
- removeAllEntry() : COptionMenu
- removeAllSegments() : CSegmentButton
- removeAllTabs() : CTabView
- removeAnimation() : Animator , CView
- removeAnimations() : Animator
- removeAttribute() : UIAttributes , CView
- removeBitmap() : UIDescription
- removeColor() : UIDescription
- removeControl() : ParameterChangeListener
- removed() : CDataBrowser , CExternalView , CExternalControl , CAutoAnimation , CTextButton , CParamDisplay , CShadowViewContainer , CSplitView , CView , UIViewSwitchContainer , CViewContainer , COpenGLView , CLayeredViewContainer
- removeEntry() : COptionMenu
- removeFont() : UIDescription
- removeFromMouseViews() : CFrame
- removeGradient() : UIDescription
- removeSegment() : CSegmentButton
- removeTab() : CTabView
- removeTag() : UIDescription
- removeTemplate() : UIDescription
- removeView() : CScrollView , CFrame , CAutoLayoutContainerView , CSplitView , CViewContainer
- RepeatTimingFunction() : RepeatTimingFunction
- requestNewSeparatorSize() : CSplitView
- requestRecreateView() : VST3Editor
- requestResize() : VST3Editor
- reset() : Optional< T > , EventConsumeState
- resetClipRect() : CDrawContext
- resetScrollOffset() : CScrollView
- reshape() : COpenGLView
- resize() : CMemoryStream
- resizeFirstView() : CSplitView
- resizeLastView() : CSplitView
- resizeSecondView() : CSplitView
- resizeSubView() : CRowColumnView
- resizeViewsEqual() : CSplitView
- restore() : UIAttributes
- restoreGlobalState() : CDrawContext
- restoreViews() : UIDescription
- restoreViewSize() : ISplitViewController
- rewind() : CMemoryStream , InputStreamContentProvider , SeekableStream , IContentProvider , ZLibInputContentProvider , MemoryContentProvider , CFileStream , CResourceInputStream
- right() : TrimOptions
- RockerSwitchCreator() : RockerSwitchCreator
- rotate() : CGraphicsTransform
- Row() : IListControlDrawer::Row
- RowColumnViewCreator() : RowColumnViewCreator
- run() : CNewFileSelector , IFilter , CNewFileSelector
- runModal() : CNewFileSelector